KRecentFilesAction class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KRecentFilesAction Class Reference

This class is an action to handle a recent files submenu. Recent files action. More...

`#include <kaction.h>`

Inheritance diagram for KRecentFilesAction:

[legend]
Collaboration diagram for KRecentFilesAction:

[legend]
List of all members.

## Public Slots
void | setMaxItems (uint maxItems)
| Sets the maximum of items in the recent files list.
void | loadEntries (KConfig *config, QString groupname=QString::null)
| Loads the recent files entries from a given KConfig object.
void | saveEntries (KConfig *config, QString groupname=QString::null)
| Saves the current recent files entries to a given KConfig object.
void | addURL (const KURL &url)
| Add URL to recent files list.
void | removeURL (const KURL &url)
| Remove an URL from the recent files list.
void | clearURLList ()
| Removes all entries from the recent files list.
## Signals
void | urlSelected (const KURL &url)
| This signal gets emited when the user selects an URL.
## Public Member Functions
| KRecentFilesAction (const QString &text, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QIconSet &pix, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QString &pix, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (QObject *parent=0, const char *name=0, uint maxItems=10)
virtual | ~KRecentFilesAction ()
| Destructor.
uint | maxItems () const
| Returns the maximum of items in the recent files list.
## Protected Slots
void | itemSelected (const QString &string)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This class is an action to handle a recent files submenu. Recent files action.

The best way to create the action is to use KStdAction::openRecent. Then you simply need to call loadEntries on startup, saveEntries on shutdown, addURL when your application loads/saves a file.

Author:
  Michael Koch

Definition at line 1188 of file kaction.h.

## Constructor & Destructor Documentation

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = 0,
|  | uint | maxItems = 10
| ) |

  | Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display
Definition at line 2013 of file kaction.cpp. References KStdAccel::cut(), maxItems(), and KStdAccel::name().

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0,
|  | uint | maxItems = 10
| ) |

  | Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display
Definition at line 2025 of file kaction.cpp. References QObject::connect(), KStdAccel::cut(), maxItems(), KStdAccel::name(), and urlSelected().

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = 0,
|  | uint | maxItems = 10
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display
Definition at line 2043 of file kaction.cpp. References KStdAccel::cut(), maxItems(), and KStdAccel::name().

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = 0,
|  | uint | maxItems = 10
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display
Definition at line 2056 of file kaction.cpp. References KStdAccel::cut(), maxItems(), and KStdAccel::name().

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0,
|  | uint | maxItems = 10
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display
Definition at line 2069 of file kaction.cpp. References QObject::connect(), KStdAccel::cut(), maxItems(), KStdAccel::name(), and urlSelected().

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0,
|  | uint | maxItems = 10
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display
Definition at line 2088 of file kaction.cpp. References QObject::connect(), KStdAccel::cut(), maxItems(), KStdAccel::name(), and urlSelected().

KRecentFilesAction::KRecentFilesAction | ( | QObject * | parent = 0,
|  | const char * | name = 0,
|  | uint | maxItems = 10
| ) |

  | Parameters:
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display
Definition at line 2107 of file kaction.cpp. References maxItems(), and KStdAccel::name().

KRecentFilesAction::~KRecentFilesAction | ( |  | ) | `[virtual]`

| Destructor. Definition at line 2125 of file kaction.cpp.

## Member Function Documentation

uint KRecentFilesAction::maxItems | ( |  | ) | const

| Returns the maximum of items in the recent files list. Definition at line 2130 of file kaction.cpp. Referenced by KRecentFilesAction().

void KRecentFilesAction::setMaxItems | ( | uint | maxItems | ) | `[slot]`

| Sets the maximum of items in the recent files list. The default for this value is 10 set in the constructor. If this value is lesser than the number of items currently in the recent files list the last items are deleted until the number of items are equal to the new maximum. Definition at line 2135 of file kaction.cpp. References KSelectAction::items(), and KSelectAction::setItems().

void KRecentFilesAction::loadEntries | ( | KConfig * | config,
|  | QString | groupname = QString::null
| ) | `[slot]`

| Loads the recent files entries from a given KConfig object. You can provide the name of the group used to load the entries. If the groupname is empty, entries are load from a group called 'RecentFiles' This method does not effect the active group of KConfig. Definition at line 2193 of file kaction.cpp. References KConfigBase::group(), QString::isEmpty(), QString::isNull(), KStdAccel::key(), KConfigBase::readEntry(), KConfigBase::setGroup(), and KSelectAction::setItems().

void KRecentFilesAction::saveEntries | ( | KConfig * | config,
|  | QString | groupname = QString::null
| ) | `[slot]`

| Saves the current recent files entries to a given KConfig object. You can provide the name of the group used to load the entries. If the groupname is empty, entries are saved to a group called 'RecentFiles' This method does not effect the active group of KConfig. Definition at line 2222 of file kaction.cpp. References KConfigBase::deleteGroup(), KConfigBase::group(), QString::isEmpty(), KSelectAction::items(), KStdAccel::key(), KConfigBase::setGroup(), and KConfigBase::writeEntry().

void KRecentFilesAction::addURL | ( | const KURL & | url | ) | `[slot]`

  | Add URL to recent files list. Parameters:
  url | The URL of the file
Definition at line 2155 of file kaction.cpp. References KSelectAction::items(), KURL::prettyURL(), and KSelectAction::setItems().

void KRecentFilesAction::removeURL | ( | const KURL & | url | ) | `[slot]`

  | Remove an URL from the recent files list. Parameters:
  url | The URL of the file
Definition at line 2175 of file kaction.cpp. References KSelectAction::items(), KURL::prettyURL(), and KSelectAction::setItems().

void KRecentFilesAction::clearURLList | ( |  | ) | `[slot]`

| Removes all entries from the recent files list. Definition at line 2188 of file kaction.cpp. References KSelectAction::clear().

void KRecentFilesAction::urlSelected | ( | const KURL & | url | ) | `[signal]`

  | This signal gets emited when the user selects an URL. Parameters:
  url | The URL thats the user selected.
Referenced by KRecentFilesAction().

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:27 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001